var TextDrop = function(pull, annGuid, isToTitle) {
	this.pull = pull;
	this.annGuid = annGuid;
	this.oldSrc = '';
	this.oldText = '';
	this.isToTitle = isToTitle; //true if dropping into title input
	NB.undomanager.performUndoableAction(this.redo.bind(this), this.undo.bind(this));
};

TextDrop.prototype = {

	redo: function() {
		try {
			var ann = NB.getObject(this.annGuid);
			var text = ann.getText();
			var view = this.pull.view;
			if(this.isToTitle) {
				this.oldText = $('#titleInput').val();
				$('#titleInput').val(text);
			} else {
				this.oldSrc = $('#contentImg').attr('src');
				this.oldText = $('#contentInput').val();
				$('#contentInput').val(text);
				view.removeImg();
			}
			this.pull.writePersist();
			this.pull.updateThumb();
			NB.page.deleteObject(ann);
			NB.undomanager.performUndoableAction(this.redo2.bind(this), this.undo2.bind(this));
		} catch(e) {}
	},

	undo: function() {
		if(this.isToTitle) {
			$('#titleInput').val(this.oldText);
		} else {
			this.pull.view.setContent(this.oldSrc, this.oldText);
		}
		this.pull.writePersist();
		this.pull.updateThumb();
	},

	redo2: function() {
	},

	undo2: function() {
		NB.undomanager.undo();
		NB.undomanager.undo();
	},

};
