var Move = function(pull, newOrientation, showContent) {
	this.pull = pull;
	this.newOrientation = newOrientation;
	this.showContent = showContent;
	this.oldX = 0;
	this.oldY = 0;
	NB.undomanager.performUndoableAction(this.redo.bind(this), this.undo.bind(this));
};

Move.prototype = {

	redo: function() {
		var host = NB.getHostObject();
		this.oldX = host.x;
		this.oldY = host.y;
		this.oldOrientation = this.pull.view.orientation();
		this.pull.doSnap(this.newOrientation, this.showContent);
	},

	undo: function() {
		this.pull.doMove(this.oldOrientation, this.oldX, this.oldY);
	},

};
